ISIDEOGRAM(3)

NAME
isideogram, isideogram_l - ideographic character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isideogram(int c);
int
isideogram_l(int c, locale_t loc);

DESCRIPTION
The isideogram() and isideogram_l() functions test for an ideographic character.

The isideogram_l() function takes an explicit locale argument, whereas the isideogram() function use the current global or per-thread locale.

RETURN VALUES
The isideogram() and isideogram_l() functions return zero if the character tests false and return non-zero if the character tests true.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The iswideogram() or iswideogram_l() function should be used instead.

SEE ALSO
ctype(3), ctype_l(3), isphonogram(3), isphonogram_l(3), iswideogram(3), iswideogram_l(3), xlocale(3)

HISTORY
The isideogram() function appeared in 4.4BSD.